# XYMONNET-AGAIN.SH

Section: User Commands (1)
Updated: Version Exp: 13 Dec 2011
Index Return to Main Contents

## NAME

xymonnet-again.sh - Xymon network re-test tool

## SYNOPSIS

xymonnet-again.sh

## DESCRIPTION

xymonnet-again.sh is an extension script for Xymon that runs on the network test server. It picks up the failing network tests executed by the xymonnet(1) program, and repeats these tests with a faster test cycle than the normal xymonnet schedule. This means that when the server recovers and the network service becomes available again, this is detected quicker resulting in less reported downtime.

Only tests whose first failure occurred within 30 minutes are included in the tests that are run by xymonnet-again.sh. The 30 minute limit is there to avoid hosts that are down for longer periods of time to bog down xymonnet-again.sh. You can change this limit with the "--frequenttestlimit=SECONDS" when you run xyxmonnet.

## INSTALLATION

This script runs by default from your tasks.cfg(5) file.

## FILES

$XYMONTMP/TESTNAME.LOCATION.status
  Temporary status file managed by xyxmonnet with status of tests that have currently failed.
$XYMONTMP/frequenttests.LOCATION
  Temporary file managed by xymonnet with the hostnames that xymonnet-again.sh should test.

## SEE ALSO

xymonnet(1), xymon(7), tasks.cfg(5)

## Index

NAME
SYNOPSIS
DESCRIPTION
INSTALLATION
FILES
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 12:13:03 GMT, December 13, 2011